> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Token - Market Cap

> Get the market cap of a token



## OpenAPI

````yaml /en/api-reference/openapi-data-en.yaml GET /v2/token/{chain}/{tokenAddress}/marketData
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: Blockchain related operations
  - name: Token
    description: Token related operations
  - name: Trade
    description: Trade related operations
  - name: Wallet
    description: Wallet related operations
  - name: Dex
    description: Dex related operations
  - name: Ranking
    description: Ranking related operations
  - name: DexPool
    description: DexPool related operations
  - name: Watchlist
    description: Watchlist related operations
  - name: KYT
    description: Kyt related operations
  - name: Webhook
    description: Webhook related operations
  - name: RedPacket
    description: Redpacket related operations
  - name: IPFS
    description: Ipfs related operations
  - name: DexScreener
    description: DexScreener related operations
paths:
  /v2/token/{chain}/{tokenAddress}/marketData:
    get:
      tags:
        - Token
      summary: Token - Market Cap
      description: Get the market cap of a token
      operationId: get.marketData
      parameters:
        - name: chain
          in: path
          description: A chain name listed in supported networks
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: tokenAddress
          in: path
          description: An address of a token
          required: true
          schema:
            type: string
          example: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
      responses:
        '200':
          description: Get Market Cap
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenMarketData'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    TokenMarketData:
      type: object
      description: Token market data
      properties:
        athMarketCapInUsd:
          type:
            - string
            - 'null'
          description: |-
            ENTITY.TOKEN_MARKET_DATA.ATH_MARKET_CAP_IN_USD
            All-time-high market cap in USD (max observed since token creation).
          example: '9500000.00'
        bluechipHoldingsRatio:
          type:
            - string
            - 'null'
          description: Ratio of bluechip holdings to total supply
          example: '0.05'
        bluechipTotalHolders:
          type:
            - string
            - 'null'
          description: Number of bluechip wallet holders
          example: '10'
        bluechipTotalHoldings:
          type:
            - string
            - 'null'
          description: Total holdings of bluechip wallets
          example: '50000'
        bundleHoldingsRatio:
          type:
            - string
            - 'null'
          description: Ratio of bundle holdings to total supply
          example: '0.018'
        bundleTotalHolders:
          type:
            - string
            - 'null'
          description: Number of bundle wallet holders
          example: '12'
        bundleTotalHoldings:
          type:
            - string
            - 'null'
          description: Total holdings of bundle wallets
          example: '18000'
        circulatingSupply:
          type:
            - string
            - 'null'
          description: Circulating supply of the token
          example: '900000'
        completionRatio:
          type:
            - string
            - 'null'
          description: Bonding curve completion ratio
          example: '1.0'
        creatorsHoldingsRatio:
          type:
            - string
            - 'null'
          description: Creator wallets holdings as a ratio of total supply
          example: '0.10'
        creatorsTotalHolders:
          type:
            - string
            - 'null'
          description: Number of creator wallet holders
          example: '1'
        creatorsTotalHoldings:
          type:
            - string
            - 'null'
          description: Total amount held by creator wallets
          example: '100000000.00'
        devHoldingsRatio:
          type:
            - string
            - 'null'
          description: Ratio of developer holdings to total supply
          example: '0.005'
        devTotalHolders:
          type:
            - string
            - 'null'
          description: Number of developer wallet holders
          example: '3'
        devTotalHoldings:
          type:
            - string
            - 'null'
          description: Total holdings of developer wallets
          example: '5000'
        fdvInSol:
          type:
            - string
            - 'null'
          description: Fully diluted valuation in native token
          example: '200000'
        fdvInUsd:
          type:
            - string
            - 'null'
          description: Fully diluted valuation in USD
          example: '200000'
        freshHoldingsRatio:
          type:
            - string
            - 'null'
          description: Ratio of fresh wallet holdings to total supply
          example: '0.01'
        freshTotalHolders:
          type:
            - string
            - 'null'
          description: Number of fresh (new) wallet holders
          example: '30'
        freshTotalHoldings:
          type:
            - string
            - 'null'
          description: Total holdings of fresh wallets
          example: '10000'
        holders:
          type:
            - string
            - 'null'
          description: Total number of token holders
          example: '1000'
        insiderHoldingsRatio:
          type:
            - string
            - 'null'
          description: Ratio of insider holdings to total supply
          example: '0.02'
        insiderTotalHolders:
          type:
            - string
            - 'null'
          description: Number of insider wallet holders
          example: '5'
        insiderTotalHoldings:
          type:
            - string
            - 'null'
          description: Total holdings of insider wallets
          example: '20000'
        kolHoldingsRatio:
          type:
            - string
            - 'null'
          description: Ratio of KOL holdings to total supply
          example: '0.03'
        kolTotalHolders:
          type:
            - string
            - 'null'
          description: Number of KOL (Key Opinion Leader) holders
          example: '20'
        kolTotalHoldings:
          type:
            - string
            - 'null'
          description: Total holdings of KOL wallets
          example: '30000'
        marketCapInSol:
          type:
            - string
            - 'null'
          description: Market capitalization in native token
          example: '100000'
        marketCapInUsd:
          type:
            - string
            - 'null'
          description: Market capitalization in USD
          example: '100000'
        maxPoolTvlInSol:
          type:
            - string
            - 'null'
          description: Maximum pool TVL in native token
          example: '1000.45'
        maxPoolTvlInUsd:
          type:
            - string
            - 'null'
          description: Maximum pool TVL in USD
          example: '150000.00'
        maxSupply:
          type:
            - string
            - 'null'
          description: Maximum token supply
        phishingHoldingsRatio:
          type:
            - string
            - 'null'
          description: Phishing wallets holdings as a ratio of total supply
          example: '0.0005'
        phishingTotalHolders:
          type:
            - string
            - 'null'
          description: Number of phishing-flagged holders
          example: '2'
        phishingTotalHoldings:
          type:
            - string
            - 'null'
          description: Total amount held by phishing-flagged wallets
          example: '50000.00'
        priceInNative:
          type:
            - string
            - 'null'
          description: Token price in the chain native token
          example: '0.00000261383847574915906643405542'
        priceInSol:
          type:
            - string
            - 'null'
          description: Token price in native token
          example: '0.00000261383847574915906643405542'
        priceInUsd:
          type:
            - string
            - 'null'
          description: Token price in USD
          example: '0.00000261383847574915906643405542'
        proHoldingsRatio:
          type:
            - string
            - 'null'
          description: Ratio of professional trader holdings to total supply
          example: '0.04'
        proTotalHolders:
          type:
            - string
            - 'null'
          description: Number of professional trader holders
          example: '25'
        proTotalHoldings:
          type:
            - string
            - 'null'
          description: Total holdings of professional traders
          example: '40000'
        ratHoldingsRatio:
          type:
            - string
            - 'null'
          description: Rat-trader wallets holdings as a ratio of total supply
          example: '0.0012'
        ratTotalHolders:
          type:
            - string
            - 'null'
          description: Number of rat-trader holders
          example: '5'
        ratTotalHoldings:
          type:
            - string
            - 'null'
          description: Total amount held by rat-trader wallets
          example: '120000.00'
        sandwishHoldingsRatio:
          type:
            - string
            - 'null'
          description: Ratio of sandwich attack holdings to total supply
          example: '0.015'
        sandwishTotalHolders:
          type:
            - string
            - 'null'
          description: Number of sandwich attack wallet holders
          example: '8'
        sandwishTotalHoldings:
          type:
            - string
            - 'null'
          description: Total holdings of sandwich attack wallets
          example: '15000'
        smartHoldingsRatio:
          type:
            - string
            - 'null'
          description: Smart-money wallets holdings as a ratio of total supply
          example: '0.03'
        smartTotalHolders:
          type:
            - string
            - 'null'
          description: Number of smart-money holders
          example: '30'
        smartTotalHoldings:
          type:
            - string
            - 'null'
          description: Total amount held by smart-money wallets
          example: '3000000.00'
        sniperHoldingsRatio:
          type:
            - string
            - 'null'
          description: Ratio of sniper holdings to total supply
          example: '0.025'
        sniperTotalHolders:
          type:
            - string
            - 'null'
          description: Number of sniper wallet holders
          example: '15'
        sniperTotalHoldings:
          type:
            - string
            - 'null'
          description: Total holdings of sniper wallets
          example: '25000'
        top100HoldingsRatio:
          type:
            - string
            - 'null'
          description: Ratio of top 100 holders to total supply
          example: '0.8'
        top100TotalHolders:
          type:
            - string
            - 'null'
          description: Number of holders among the top 100
          example: '100'
        top100TotalHoldings:
          type:
            - string
            - 'null'
          description: Total holdings of top 100 holders
          example: '800000'
        top10HoldingsRatio:
          type:
            - string
            - 'null'
          description: Ratio of top 10 holders to total supply
          example: '0.5'
        top10TotalHolders:
          type:
            - string
            - 'null'
          description: Number of holders among the top 10
          example: '10'
        top10TotalHoldings:
          type:
            - string
            - 'null'
          description: Total holdings of top 10 holders
          example: '500000'
        top50HoldingsRatio:
          type:
            - string
            - 'null'
          description: Ratio of top 50 holders to total supply
          example: '0.3'
        top50TotalHolders:
          type:
            - string
            - 'null'
          description: Number of holders among the top 50
          example: '50'
        top50TotalHoldings:
          type:
            - string
            - 'null'
          description: Total holdings of top 50 holders
          example: '300000'
        totalSupply:
          type:
            - string
            - 'null'
          description: Total supply of the token
          example: '1000000'
        totalTvlInSol:
          type:
            - string
            - 'null'
          description: Total value locked in native token
          example: '1000000.45'
        totalTvlInUsd:
          type:
            - string
            - 'null'
          description: Total value locked in USD
          example: '1000000.45'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````